Table of Contents

Class: Port | Twisted-0.19.0/twisted/internet/ssl.py
--- | ---
I am an SSL port.
Base Classes |
--- | ---
tcp.Port
Methods |
--- | ---
__init__ createInternetSocket doRead
| __init__
    __init__ (
            self,
            port,
            factory,
            ctxFactory,
            backlog=5,
            interface='',
            )
| createInternetSocket
    createInternetSocket ( self )
(internal) create an SSL socket
| doRead
    doRead ( self )
### Called when my socket is ready for reading. This accepts a connection and callse self.protocol() to handle the wire-level protocol.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0